<?php
require_once "lib/itaushopline/class.itau.php";

class ControllerPaymentItauShoplinePos extends Controller {

  public function index() {

    $this->load->dmodel('checkout/order');
    $this->load->model('account/order');
    $this->load->model('payment/itaushopline');
    $this->load->dmodel('account/order');
    $this->load->dmodel('catalog/product');

    $language = $this->language->load('payment/itaushopline');
		$this->data = array_merge($this->data, $language);

    $order_info  = $this->dmodel_checkout_order->getOrder($this->request->get['pedido_id']);

    $this->data['totals'] = $this->model_account_order->getOrderTotals($this->request->get['pedido_id']);

    $controle_kit = array(); //Como id do kit está no item, controla para não gerar duplicidades;
    if ($order_info) {
      $order_products = $this->dmodel_account_order->getOrderProducts($this->request->get['pedido_id']);

      foreach ($order_products as $product) {
        if (in_array($product['product_kit_id'],$controle_kit)) {continue;}

        if(isset($product['lista_escolar_id']) && $product['lista_escolar_id']>0){
          $tipoLista = Type_ProductCart::Tp_ListaEscolar;
          $id_lista  = $product['lista_escolar_id'];
          $this->data['productlist'][$tipoLista][$id_lista]['isListaEscolar'] = true;
          $this->data['productlist'][$tipoLista][$id_lista]['descricao'] = $product['lista_escolar_descricao'];
        }else{
          $tipoLista = Type_ProductCart::Tp_Default;
          $id_lista  = 0;
          $this->data['productlist'][$tipoLista][$id_lista]['isListaEscolar'] = false;
        }

        //Brinde
        $produto_brinde = $this->dmodel_account_order->getProductOrderBrinde($product['product_id'],$this->request->get['pedido_id']);
        if ($produto_brinde) {
          $produto_brinde['product_name'] = $produto_brinde['name'];
          $produto_brinde['href'] = $this->url->link('product/product', 'product_id=' . $produto_brinde['product_id']);
          $product['price'] += $produto_brinde['price_order'];
          $product['total'] += $produto_brinde['total_order'];
        }
        //Brinde

        //KIT
        $produto_kit = false;
        if ($product['product_kit_id']) { 
          $produto_kit = $this->dmodel_account_order->getOrdertKit($this->request->get['order_id'],$product['product_kit_id']);
          $controle_kit[] = $product['product_kit_id'];
        }
        //KIT           
        if ($produto_kit){
          $this->data['productlist'][$tipoLista][$id_lista]['products'][] = $produto_kit;  
        }else{ 
          $this->data['productlist'][$tipoLista][$id_lista]['products'][] = array(
            'id'                        => $product['product_id'],
            'descricao'                 => $product['name'],
            'modelo'                    => $product['model'],
            'quantidade'                => $product['quantity'],
            'preco_unitario'            => $this->currency->format($product['price'], $order_info['currency_code'], $order_info['currency_value']),
            'total'                     => $this->currency->format($product['total'], $order_info['currency_code'], $order_info['currency_value']),
            'brinde'                    => $produto_brinde,
            'itens_kit'                 => false
          );
        }
      }
    }

    $tolken_id = ftr_geral::cripty($this->request->get['pedido_id'], $this->config->get('config_encryption'));
    $this->data['tolken_id'] = $tolken_id;
    if ($tolken_id == $this->request->get['tolken_id']){
      $this->data['tolken_valido'] = true;
    }else{
      $this->data['tolken_valido'] = false;
    }

    $this->data['background_color'] = $this->config->get('primary_color');
    $this->data['btn_background'] = $this->config->get('wg24_btn_1bg_col');
    $this->data['btn_textcolor'] = $this->config->get('wg24_btn_text_col');
    $this->data['title_textcolor'] = $this->config->get('wg24_l_linkc');

    $this->data['empresa_razao'] =     $this->config->get('config_owner');
    $this->data['empresa_endereco'] =  $this->config->get('config_address');
    $this->data['empresa_cnpj'] = $this->config->get('config_cnpj');
    $this->data['empresa_tel'] = $this->config->get('config_telephone');
    $this->data['empresa_email'] = $this->config->get('config_email');

    $this->data['logo'] = $this->config->get('config_linkproducao_ssl') . 'image/' . $this->config->get('config_logo');

    $this->data['pedido_id'] = $order_info['order_id'];
    $this->data['pedido_data'] = date('d/m/Y', strtotime($order_info['date_added'])) ;
    $this->data['pedido_cliente'] = $order_info['firstname'].' '.$order_info['lastname'];

    $this->data['pedido_total'] = $this->currency->format($order_info['total']);

    if ($order_info['order_status_id']==$this->config->get('itaushopline_order_status_posteriorlink_id')){
      $this->data['pagamento_aberto'] = true;
    }else{
      $this->data['pagamento_aberto'] = false;
    }

    if($this->config->get('config_template') != Type_Theme::getNickFromValue(Type_Theme::Tp_appmobile) ){
      $msg = '<center><br><h2>Obrigado pelo Pedido</h2>';
      $msg .= '<a onclick="javascript:window.open(\''.$this->config->get('config_ssl').'lib/itaushopline/pagar.php?pedido='.$this->request->get['pedido_id'].'\',\'popup\',\'width=800,height=800\');vai();" href="javascript:void(0);">
      <img src="'.$this->config->get('config_ssl').'lib/itaushopline/images/pg.png" border="0"></a>';
      $msg .= '<br><br>Clique acima para Realizar o Pagamento.</center>';
      $this->data['msg_itau_confirm'] = $msg;
    }else{
      $msg = '<center><br><h2>Obrigado pelo Pedido</h2>';
      $msg .= '<a href="'.$this->config->get('config_ssl').'lib/itaushopline/pagar.php?pedido='.$this->request->get['pedido_id'].'">
      <img src="'.$this->config->get('config_ssl').'lib/itaushopline/images/pg.png" border="0"></a>';
      $msg .= '<br><br>Clique acima para Realizar o Pagamento.</center>';
      $this->data['msg_itau_confirm'] = $msg;
    }



    //$this->data['idorder'] = $this->request->get('idPedido');
    $this->data['captcha_tpl'] 		= $this->getChild('payment/captcha');

    if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/payment/itaushopline_pos.twig')) {
      $this->template = $this->config->get('config_template') . '/template/payment/itaushopline_pos.twig';
    } else {
      $this->template = 'default/template/payment/itaushopline_pos.twig';
    }

    $this->response->setOutput($this->render());


  }


}
